HierarchyEntityControllerDeleteLevel Method |
DELETE /HierarchyEntity/Level/
Deletes the given level.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Level")]
public HttpResponseMessage DeleteLevel(
Guid id,
string levelUniqueName,
Nullable<Guid> sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Level")>
Public Function DeleteLevel (
id As Guid,
levelUniqueName As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Level")]
HttpResponseMessage^ DeleteLevel(
Guid id,
String^ levelUniqueName,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Level")>]
member DeleteLevel :
id : Guid *
levelUniqueName : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the hierarchy. - levelUniqueName
- Type: SystemString
The unique name of the level. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
HierarchyEntityData object containing the updated hierarchy, or a status code indicating the problem.
See Also